Get Tms Connection
curl --request GET \
--url https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"credentials": {
"client_id": "*****",
"client_secret": "*****"
},
"description": "TMS Simulator connection for TMS account 1234",
"source_name": "tms_simulator"
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}{
"code": 504,
"message": "Gateway Timeout",
"detail": "<string>"
}TMS Connections
Get Tms Connection
Get detailed information about a specific TMS connection.
GET
/
v2
/
integrations
/
tms-connections
/
{tms_connection_id}
Get Tms Connection
curl --request GET \
--url https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/integrations/tms-connections/{tms_connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"credentials": {
"client_id": "*****",
"client_secret": "*****"
},
"description": "TMS Simulator connection for TMS account 1234",
"source_name": "tms_simulator"
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}{
"code": 504,
"message": "Gateway Timeout",
"detail": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
API Model for reading a TMS connection
Unique identifier for the TMS connection.
Timestamp when the connection was created.
Timestamp when the connection was last updated.
The Catena ID of the TMS account that owns this connection.
The ID of the Transportation Management System (TMS).
The name of the TMS integration used for this connection.
Available options:
alvys, ascend_tms, axon_software, blue_yonder, dat, descartes_aljex, freightpop, manhattan_associates, mastery_tms, mcleod, mercury_gate, oracle_transportation_management, pcs_software, revenova, rose_rocket, sap_transportation_management, tailwind_tms, tai_tms, tms_simulator, transport_pro, trimble_transportation, turvo Access Token Credentials
- AccessTokenCreds
- ApiAuthCreds
- ApiBasicCreds
- ApiKeyCreds
- AzugaSLC
- BouncieCreds
- ClientIdSecretCreds
- CompanyAccessCreds
- CompanyIdCreds
- DatabaseCreds
- DriverTechCreds
- EZLynkAccessCreds
- EZLynkCreds
- EzlogzCreds
- FactorEldCreds
- FleetupCreds
- FleetupSLC
- GeotabCreds
- IsaacCreds
- MotiveCreds
- OAuth1Creds
- OAuth2Creds
- OAuth2InitiateCreds
- OAuth2PrivateKeyCreds
- OntimeEldCreds
- OptimusTrackerCreds
- PatriotEldSLC
- PrivateKeyCreds
- RouteOneEldCreds
- S3Creds
- SamsaraCreds
- SftpCreds
- SimpleTruckEldCreds
- SpireonSLC
- SwitchBoardCreds
- TeslemetryCreds
- TokenCreds
- TruckXCreds
- TruckXSLC
- TTCreds
- TxtEldSLC
- VerizonConnectCreds
- VerizonConnectSLC
- WebfleetSLC
- ZubieCreds
Show child attributes
Show child attributes
The current status of the connection.
Available options:
active, failed, cancelled, paused, stale, deleted A description of the connection. Useful when the TMS account has multiple connections to the same TMS.
Was this page helpful?